# Interface AttackMoveResult

interface AttackMoveResult {
critical : boolean;
damage : number;
move : Moves ;
result : DamageResult ;
sourceId : number;
}

- Defined in src/field/pokemon.ts:3720

#####
Index

### Properties

critical
damage
move
result
sourceId

## Properties

### critical

critical: boolean

- Defined in src/field/pokemon.ts:3724

### damage

damage: number

- Defined in src/field/pokemon.ts:3723

### move

move: Moves

- Defined in src/field/pokemon.ts:3721

### result

result: DamageResult

- Defined in src/field/pokemon.ts:3722

### sourceId

sourceId: number

- Defined in src/field/pokemon.ts:3725